# Uses of Record Class
org.apache.lucene.store.FlushInfo

Packages that use FlushInfo
Package
Description
org.apache.lucene.store
Binary i/o API, used for all index data.

- ## Uses of FlushInfo in org.apache.lucene.store

  Methods in org.apache.lucene.store that return FlushInfo
  Modifier and Type
  Method
  Description
  `FlushInfo`
  IOContext.`flushInfo()`
  Flush info, if `IOContext.context()` is `IOContext.Context.FLUSH`
  Methods in org.apache.lucene.store with parameters of type FlushInfo
  Modifier and Type
  Method
  Description
  `static IOContext`
  IOContext.`flush(FlushInfo flushInfo)`
  Returns an `IOContext` for flushing with the specified `FlushInfo`